import { Component, Input, OnInit } from '@angular/core';

@Component({
  selector: 'ledbutton',
  template: `
  <div [ngStyle]="{ 'text-align': 'center', 'border': '2px solid black', 
                    'padding': '5px', 'width': '150px', 'height': '150px',
                    'margin': 'auto', 'font-family': 'sans-serif' }">
    {{label}}<br/>
    <led [topic]="feedbackTopic"></led><br/>
    <onoff [topic]="actionTopic"></onoff>
  </div>
  `
})
export class LedButtonGroupComponent implements OnInit {

  actionTopic : string
  feedbackTopic : string
  @Input('topic') topicPre : string
  @Input() label : string

  constructor() { }

  ngOnInit() {
    this.actionTopic = this.topicPre + '/state'
    this.feedbackTopic = this.topicPre + '/feedback'
  }
}
